#global svn_date 20130815
%define _hardened_build 1

Name:           kde-partitionmanager
Version:        1.2.1
Release:        3%{?dist}
Summary:        KDE Partition Manager

License:        GPLv3+
URL:            http://www.kde.org/applications/system/kdepartitionmanager/
%if 0%{?svn_date}
Source0:        %{name}-%{version}-%{svn_date}svn.tar.xz
%else
Source0:        http://download.kde.org/stable/partitionmanager/%{version}/src/partitionmanager-%{version}.tar.xz
%endif
# probably better to use https://projects.kde.org/projects/playground/sdk/releaseme
# now that it is in kde git infrastructure
Source1:        kdepm-generate-tarball.sh
# Source built using the following commands : sh kdepm-generate-tarball.sh 20130815

#Patch to fix config file name, upstream KDE bug 345857
Patch0:		partitionmanager_config.patch

BuildRequires:  parted-devel, libblkid-devel, libatasmart-devel, gettext, cmake, desktop-file-utils
BuildRequires:	kf5-rpm-macros, kf5-kconfig-devel, kf5-kcrash-devel, kf5-ki18n-devel, kf5-kxmlgui-devel, kf5-kio-devel, kf5-kdoctools-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	extra-cmake-modules

Requires:       parted, e2fsprogs
Requires:	kf5-filesystem

%description
KDE Partition Manager is a utility program to help you manage the disk devices,
partitions and file systems on your computer. It allows you to easily create, 
copy, move, delete, resize without losing data, backup and restore partitions.
 
KDE Partition Manager supports a large number of file systems, 
including ext2/3/4, reiserfs, NTFS, FAT16/32, jfs, xfs and more.
 
It makes use of external programs to get its job done, so you might have to 
install additional software (preferably packages from your distribution) 
to make use of all features and get full support for all file systems.


%prep
%setup -q -n partitionmanager-%{version}

%patch0 -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang partitionmanager --with-kde

# Validate .desktop file
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/*PartitionManager.desktop


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f partitionmanager.lang
%doc README CHANGES
%license COPYING.GPL3
%{_kf5_bindir}/partitionmanager
%{_kf5_libdir}/libpartitionmanager*.so
%{_kf5_qtplugindir}/libpm*.so
%{_kf5_datadir}/applications/*PartitionManager.desktop
%{_kf5_datadir}/kservices5/pm*backendplugin.desktop
%{_kf5_datadir}/kservicetypes5/pm*backendplugin.desktop
%{_kf5_datadir}/partitionmanager/
%{_kf5_datadir}/config.kcfg/partitionmanager.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/appdata/*PartitionManager.appdata.xml
%{_docdir}/HTML/*/partitionmanager/*

%changelog
* Sun Apr 05 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.2.1-3
- Fix documentation files

* Sun Apr 05 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.2.1-2
- Fix typos

* Sun Apr 05 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.2.1-1
- 1.2.1 release, port to kf5
- License changed to GPLv3

* Sun Feb 22 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.1.1-1
- 1.1.1 release

* Sun Nov 16 2014 Mattia Verga <mattia.verga@tiscali.it> - 1.1.0-3
- Fix detection of devices without partition table

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 10 2014 Rex Dieter <rdieter@fedoraproject.org> 1.1.0-1
- 1.1.0 release, improve scriptlets/kde4 macro usage, include translations

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-14.20130815svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 15 2013 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-13.20130815svn
- Upgrade to svn 2013-05-15 - adds support for decrypting LUKS volumes
- Compress source with xz

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-12.20130624svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-11.20130624svn
- Fix to enable udisks2 backend compatibility

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-10.20121209svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 09 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-9.20121209svn
- Upgrade to svn 2012-12-09
- Add BTRFS support
- Add exfat support

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8.20120205svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-7.20120205svn
- Enable PIE following change in Pakaging Guidelines

* Wed Mar 14 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-6.20120205svn
- Rebuilt for parted-3.1

* Mon Jan 30 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-5.20120205svn
- Upgrade to svn 2012-02-05
- Fix bug #787194

* Mon Jan 30 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-5.20120130svn
- bugfix release

* Tue Dec 27 2011 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-5.20111223svn
- Added kde-filesystem to Requires
- Added icon cache refresh at installation/uninstallation

* Fri Dec 23 2011 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-4.20111223svn
- Upgrade to svn 2011-12-22
- Fix bug #757661
- Removed language detection, no translations in svn

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.3-1
- 1.0.3 bugfix release

* Tue May 18 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.2-1
- bugfix release

* Wed Mar 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1%{?dist}.2
- rebuild for new parted

* Sun Feb 14 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1%{?dist}.1
- DSO fix for rawhide

* Mon Jan 25 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- New upstream source

* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-2
- Moved desktop-file-validate to %%install
- Removed superfluous BR qt4-devel

* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-1
- Initial Fedora release
